## cmocka 2.0.0

=== doc/CMakeLists.txt ===
#
# Build the documentation
#
# To build the documentation with a local doxygen-awesome-css tarball:
#
#   cmake -S . -B obj \
#         -DDOXYGEN_AWESOME_CSS_TARBALL=/path/to/doxygen-awesome-css.tar.gz
#   cmake --build obj --target docs
#
# The tarball can be downloaded from:
#   https://github.com/jothepro/doxygen-awesome-css/archive/refs/tags/v2.4.1.tar.gz
#
find_package(Doxygen)

if (DOXYGEN_FOUND)
    # Allow specifying a local tarball for doxygen-awesome-css (useful for packaging)
    if (NOT DEFINED DOXYGEN_AWESOME_CSS_TARBALL)
        set(DOXYGEN_AWESOME_CSS_TARBALL
            "https://github.com/jothepro/doxygen-awesome-css/archive/refs/tags/v2.4.1.tar.gz")
    endif()

    include(FetchContent)
    FetchContent_Declare(
        doxygen-awesome-css
        URL ${DOXYGEN_AWESOME_CSS_TARBALL}
        DOWNLOAD_EXTRACT_TIMESTAMP TRUE
    )
    FetchContent_MakeAvailable(doxygen-awesome-css)

    # Get the path to doxygen-awesome.css
    FetchContent_GetProperties(doxygen-awesome-css SOURCE_DIR AWESOME_CSS_DIR)

    # Project title shown in documentation
    set(DOXYGEN_PROJECT_NAME ${PROJECT_NAME})
    # Project version number shown in documentation
    set(DOXYGEN_PROJECT_NUMBER ${PROJECT_VERSION})
    # Brief description shown below project name
    set(DOXYGEN_PROJECT_BRIEF "Unit testing library with mock support")
    # Project favicon (browser tab icon)
    set(DOXYGEN_PROJECT_ICON ${CMAKE_CURRENT_SOURCE_DIR}/favicon.png)

    # Number of spaces used for indentation in code blocks
    set(DOXYGEN_TAB_SIZE 4)
    # Generate output optimized for C (vs C++)
    set(DOXYGEN_OPTIMIZE_OUTPUT_FOR_C YES)
    # Enable parsing of markdown in comments
    set(DOXYGEN_MARKDOWN_SUPPORT YES)
    # Warn about undocumented members to improve documentation quality
    set(DOXYGEN_WARN_IF_UNDOCUMENTED YES)
    # Do not extract private class members
    set(DOXYGEN_EXTRACT_PRIVATE NO)
    # Do not include internal documentation
    set(DOXYGEN_INTERNAL_DOCS NO)
    # Disable built-in clipboard (using doxygen-awesome extension instead)
    set(DOXYGEN_HTML_COPY_CLIPBOARD NO)
    # Disable page outline panel (using interactive TOC extension instead)
    set(DOXYGEN_PAGE_OUTLINE_PANEL NO)

    # Required configuration for doxygen-awesome-css theme
    # Generate treeview sidebar for navigation
    set(DOXYGEN_GENERATE_TREEVIEW YES)
    # Enable default index pages
    set(DOXYGEN_DISABLE_INDEX NO)
    # Use top navigation bar instead of full sidebar (required for theme compatibility)
    set(DOXYGEN_FULL_SIDEBAR NO)
    # Use light color style (required for Doxygen >= 1.9.5)
    set(DOXYGEN_HTML_COLORSTYLE LIGHT)

    # Disable diagram generation (not relevant for C projects)
    set(DOXYGEN_HAVE_DOT NO)
    set(DOXYGEN_CLASS_DIAGRAMS NO)
    set(DOXYGEN_CALL_GRAPH NO)
    set(DOXYGEN_CALLER_GRAPH NO)

    # Preprocessor defines to use when parsing code
    set(DOXYGEN_PREDEFINED DOXYGEN
                           CMOCKA_PRINTF_ATTRIBUTE\(x,y\))

    # Custom layout file to rename "Topics" to "API Reference" and simplify navigation
    set(DOXYGEN_LAYOUT_FILE ${CMAKE_CURRENT_SOURCE_DIR}/DoxygenLayout.xml)
    # Custom HTML header with doxygen-awesome extension initialization
    set(DOXYGEN_HTML_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/header.html)
    # Modern CSS theme for documentation with custom cmocka.org color scheme
    set(DOXYGEN_HTML_EXTRA_STYLESHEET ${AWESOME_CSS_DIR}/doxygen-awesome.css
                                      ${CMAKE_CURRENT_SOURCE_DIR}/doxygen-custom.css)
    # JavaScript extensions: dark mode toggle, copy button, paragraph links, interactive TOC
    set(DOXYGEN_HTML_EXTRA_FILES ${AWESOME_CSS_DIR}/doxygen-awesome-darkmode-toggle.js
                                 ${AWESOME_CSS_DIR}/doxygen-awesome-fragment-copy-button.js
                                 ${AWESOME_CSS_DIR}/doxygen-awesome-paragraph-link.js
                                 ${AWESOME_CSS_DIR}/doxygen-awesome-interactive-toc.js)

    set(_doxyfile_template "${CMAKE_BINARY_DIR}/CMakeDoxyfile.in")
    set(_target_doxyfile "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile.docs")
    configure_file("${_doxyfile_template}" "${_target_doxyfile}")

    doxygen_add_docs(docs
                     ${cmocka-library_SOURCE_DIR}
                     ${cmocka-header_SOURCE_DIR}
                     ${cmocka-header_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR})
endif(DOXYGEN_FOUND)

=== debian/changelog ===
cmocka (2.0.0-1) experimental; urgency=medium

  * Upload new major to experimental

  [ Andreas Schneider ]
  * tests: Raise segmentation fault
  * include: Document cmocka_print_error()
  * cmocka: Correctly implement assert_int_equal()
  * cmocka: Correctly implement assert_int_not_equal()
  * cmocka: Add assert_uint_equal()
  * cmocka: Implement assert_uint_not_equal()
  * cmocka: Add assert_int_in_range()
  * include: Add cmocka_version.h
  * cmocka: Deprecate assert_in_range()
  * cmocka: Add assert_int_not_in_range()
  * cmocka: Add assert_uint_not_in_range()
  * cmocka: Deprecate assert_not_in_range()
  * cmocka: Add assert_int_in_set()
  * cmocka: Add assert_int_not_in_set()
  * cmocka: Add assert_uint_in_set()
  * cmocka: Add assert_uint_not_in_set()
  * cmocka: Deprecate assert_in_set
  * include: Move values in CMockaValueData union around
  * include: Add assign_(int|uint|double|ptr)_to_cmocka_value() macros
  * include: Add specific will_return and mock macros for different types
  * cmake: Use C99 and define GNU and POSIX flags directly at source files
  * cmocka: Add expect_int_in_set_count()
  * cmocka: Add expect_uint_in_set_count()
  * cmocka: Add support for expect_(not_)double(_count)()
  * cmocka: Implement expect_(u)int_not_in_set()
  * cmocka: Implement expect_(u)int_in_range(_count)()
  * cmocka: Implement expect_(u)int_not_in_range(_count)()
  * cmocka: Implement expect_(u)int_value(_count)()
  * cmocka: Implement expect_(u)int_not_value(_count)()
  * cmocka: Add mock_(parameter_)double()
  * cmocka: Implement has_mock()
  * fix(double): Fix floating-point comparison
  * fix(assert): Fix pointer asserts with functions pointers
  * feat(mock): Add will_return_*_count() macro for int/uint/float/double
  * feat(mock): Add will_return_*_always() macros for int/uint/float/double
  * feat(mock): Add will_return_*_maybe() macros for int/uint/float/double
  * feat(mock): Add will_set_parameter_*_count() macro for int/uint/float/double
  * feat(mock): Add will_set_parameter_*_always() macros for
    int/uint/float/double
  * feat(mock): Add will_set_parameter_*_maybe() macros for
    int/uint/float/double
  * fix(macros): Deprecated old will_return_* and will_set_parameter_* macros
  * feat(example): Add expect_check_data() examples
  * feat(output): Add support for TAP 14
  * docs(changelog): Write changelog in markdown and document version 2.0.0
  * feat(doc): Use doxygen-awesome-css theme
  * chore(cmake): Set minimum required version to 3.13
  * Bump version to 2.0.0

  [ Alexander Dahl ]
  * cmocka: Add overflow check for test_calloc()

  [ NikLeberg ]
  * feature: add multiple simultaneous outputs

  [ Carsten Lange ]
  * Add new feature stop

  [ Evan Miller ]
  * Always pass stack-protector flag to linker

  [ Ammar Ratnani ]
  * Fix issue with fail_msg

  [ Wolfram Ladurner ]
  * Avoid NULL pointer dereference in _function_called (fix for
    cmocka/cmocka#66).

  [ Alois Klink ]
  * src: set MALLOC_ALIGNMENT to `16`
  * cmocka: Make expect_check to use CMockaValueData
  * cmocka: Change `_mock` to return CMockaValueData
  * cmocka: Improve pointer assert functions

  [ Xiang Xiao ]
  * cmocka.c: Reduce the call stack consumption of printf

  [ Eshan Kelkar ]
  * Make assert_true(), assert_false() more verbose

  [ Jakub Czapiga ]
  * Improve c_strreplace implementation
  * Sanitize XML strings.

  [ Dionna Glaze ]
  * Rename COPYING to LICENSE

  [ Richard Hughes ]
  * Add a SBOM template in CycloneDX format

  [ Michael Werle ]
  * feat(output-override): add a way to override the output functions

  [ Norbert Pocs ]
  * Add expect_(not_)float
  * Add float(_not)_in_set features
  * Add assert_float(_not)_in_set
  * Add assert_float(_not)_in_range
  * Add expect_float(_not)_in_range

  [ Sigrid Solveig Haflínudóttir ]
  * assert_(double|float)_(not_|)_equal: precision based on epsilon

  [ Jacob Abrams ]
  * Fix float comparison for INFINITY and NAN, add unit tests

  [ Štěpán Balážik ]
  * cmocka: Escape slashes in XML output

  [ Simon Gassner ]
  * Improve cmocka_set_test_filter and cmocka_set_skip_filter
  * implement test and skip filter from environment variables

  [ David Prévot ]
  * Update copyright
  * Extend installed files in libcmocka0
  * Update symbols
  * Expand metadata
  * Use doxygen-awesome-css

 -- David Prévot <taffit@debian.org>  Wed, 10 Dec 2025 12:07:45 +0100

cmocka (1.1.8-2) unstable; urgency=medium

  * Upload to unstable now that trixie has been released
  * Remove Rules-Requires-Root

 -- David Prévot <taffit@debian.org>  Tue, 09 Dec 2025 07:39:25 +0100

=== debian/control ===
Source: cmocka
Section: devel
Priority: optional
Maintainer: David Prévot <taffit@debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.7.2
Homepage: https://cmocka.org/
Vcs-Git: https://salsa.debian.org/debian/cmocka.git
Vcs-Browser: https://salsa.debian.org/debian/cmocka
Build-Depends-Indep: doxygen, doxygen-awesome-css

Package: cmocka-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: doxygen-awesome-css, libjs-jquery, ${misc:Depends}
Description: documentation for the CMocka unit testing framework
 This package contains the documentation and examples for CMocka.
 .
 The idea of CMocka is that a test application only requires the
 standard C library and the CMocka library itself to minimize conflicts
 with standard C headers especially on a lot of different platforms.
 .
 Features:
  * Easy to use framework to write unit tests
  * Support for mock objects
  * Testing of memory leaks, buffer overflows and underflows
  * Platform and compiler independent

Package: libcmocka0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library for the CMocka unit testing framework
 This is the major library for CMocka.
 .
 The idea of CMocka is that a test application only requires the
 standard C library and the CMocka library itself to minimize conflicts
 with standard C headers especially on a lot of different platforms.
 .
 Features:
  * Easy to use framework to write unit tests
  * Support for mock objects
  * Testing of memory leaks, buffer overflows and underflows
  * Platform and compiler independent

Package: libcmocka-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libcmocka0 (= ${binary:Version}), ${misc:Depends}
Recommends: cmocka-doc
Description: development files for the CMocka unit testing framework
 This package contains the library development files for CMocka.
 .
 The idea of CMocka is that a test application only requires the
 standard C library and the CMocka library itself to minimize conflicts
 with standard C headers especially on a lot of different platforms.
 .
 Features:
  * Easy to use framework to write unit tests
  * Support for mock objects
  * Testing of memory leaks, buffer overflows and underflows
  * Platform and compiler independent

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	mkdir -p obj-$(DEB_HOST_MULTIARCH)/_deps
	ln -s /usr/share/doxygen-awesome-css obj-$(DEB_HOST_MULTIARCH)/_deps/doxygen-awesome-css-src
	dh_auto_configure -- -DUNIT_TESTING=ON

override_dh_auto_build-indep:
	$(MAKE) -C obj-* docs

override_dh_auto_test-indep:

override_dh_link-arch:
	dh_link usr/lib/$(DEB_HOST_MULTIARCH)/libcmocka.so \
		usr/lib/$(DEB_HOST_MULTIARCH)/libcmockery.so \
		-plibcmocka-dev

override_dh_auto_install-indep:
	dh_install obj-*/doc/html usr/share/doc/cmocka-doc
	dh_doxygen

## cmocka 2.0.1

=== CMakeLists.txt ===
# Required cmake version
cmake_minimum_required(VERSION 3.13.0)

# Specify search path for CMake modules to be loaded by include()
# and find_package()
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules")

### Add defaults for cmake
# These defaults need to be included before the project() call.
include(DefineCMakeDefaults)

# This will provide -DCMAKE_BUILD_TYPE=Profiling
# and -DCMAKE_BUILD_TYPE=AddressSanitizer
include(DefineCompilerFlags)
include(DefinePlatformDefaults)

project(cmocka VERSION 2.0.1 LANGUAGES C)

# global needed variables
set(APPLICATION_NAME ${PROJECT_NAME})

# SOVERSION scheme: CURRENT.AGE.REVISION
#   If there was an incompatible interface change:
#     Increment CURRENT. Set AGE and REVISION to 0
#   If there was a compatible interface change:
#     Increment AGE. Set REVISION to 0
#   If the source code was changed, but there were no interface changes:
#     Increment REVISION.
set(LIBRARY_VERSION "1.0.1")
set(LIBRARY_SOVERSION "0")

# include cmake files
include(GNUInstallDirs)
include(CMakePackageConfigHelpers)
include(DefineOptions.cmake)
include(CPackConfig.cmake)
include(CompilerChecks.cmake)

# disallow in-source build
include(MacroEnsureOutOfSourceBuild)
macro_ensure_out_of_source_build("${PROJECT_NAME} requires an out of source build. Please create a separate build directory and run 'cmake /path/to/${PROJECT_NAME} [options]' there.")

# config.h checks
include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

# MinGW DLL Naming Workaround
if (MINGW)
    set(CMAKE_SHARED_LIBRARY_PREFIX "")
endif (MINGW)

# check subdirectories
add_subdirectory(include)
add_subdirectory(src)
add_subdirectory(doc)

if (CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
    include(AddCMockaTest)
    if (UNIT_TESTING)
        add_subdirectory(tests)
    endif (UNIT_TESTING)

    if (WITH_EXAMPLES)
        add_subdirectory(example)
    endif ()
endif()

# pkg-config file
configure_file(cmocka.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/cmocka.pc @ONLY)
install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/cmocka.pc
  DESTINATION
  ${CMAKE_INSTALL_LIBDIR}/pkgconfig
  COMPONENT
    pkgconfig
)

configure_package_config_file(cmocka-config.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/cmocka-config.cmake"
    INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/cmocka"
    NO_SET_AND_CHECK_MACRO
    NO_CHECK_REQUIRED_COMPONENTS_MACRO
)

write_basic_package_version_file(${PROJECT_NAME}-config-version.cmake
                                 COMPATIBILITY
                                     AnyNewerVersion)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/cmocka-config.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake"
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
        COMPONENT devel)

# Add 'make dist' target which makes sure to invoke cmake before
add_custom_target(dist
                  COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

# Link combile database for clangd
execute_process(COMMAND cmake -E create_symlink
                "${cmocka_BINARY_DIR}/compile_commands.json"
                "${cmocka_SOURCE_DIR}/compile_commands.json")

=== example/mock/uptime/CMakeLists.txt ===
add_library(proc_uptime proc_uptime.c)

add_executable(uptime uptime.c)
target_compile_options(uptime
                       PRIVATE
                           ${DEFAULT_C_COMPILE_FLAGS}
                           -D_GNU_SOURCE
                           -D_XOPEN_SOURCE=600)
target_link_libraries(uptime proc_uptime)
set_property(TARGET
                 uptime
             PROPERTY
                 LINK_FLAGS
                     "${DEFAULT_LINK_FLAGS}")

add_cmocka_test(test_uptime
                SOURCES test_uptime.c
                COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS} -D_GNU_SOURCE -D_XOPEN_SOURCE=600
                LINK_LIBRARIES cmocka::cmocka)
set_property(TARGET
                 test_uptime
             PROPERTY
                 LINK_FLAGS
                    "${DEFAULT_LINK_FLAGS} -Wl,--wrap=uptime")

=== debian/changelog ===
cmocka (2.0.1-1) unstable; urgency=medium

  * Upload to unstable

  [ Andreas Schneider ]
  * fix(changelog): Correct release date of 2.0.0
  * fix(cmocka): Correctly apply const
  * feat(include): Allow one to disable deprecation warnings
  * Bump version to 2.0.1

  [ David Prévot ]
  * Update Standards-Version to 4.7.3
  * Set DOXYGEN_AWESOME_CSS_DIR

 -- David Prévot <taffit@debian.org>  Fri, 26 Dec 2025 15:41:23 +0100

## cmocka 2.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 include(DefineCompilerFlags)
 include(DefinePlatformDefaults)
 
-project(cmocka VERSION 2.0.1 LANGUAGES C)
+project(cmocka VERSION 2.0.2 LANGUAGES C)
 
 # global needed variables
 set(APPLICATION_NAME ${PROJECT_NAME})
@@ -26,7 +26,7 @@
 #     Increment AGE. Set REVISION to 0
 #   If the source code was changed, but there were no interface changes:
 #     Increment REVISION.
-set(LIBRARY_VERSION "1.0.1")
+set(LIBRARY_VERSION "1.0.2")
 set(LIBRARY_SOVERSION "0")
 
 # include cmake files

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
 # Build the documentation
 #
-# To build the documentation with a local doxygen-awesome-css tarball:
+# To build the documentation with a local doxygen-awesome-css directory:
 #
 #   cmake -S . -B obj \
-#         -DDOXYGEN_AWESOME_CSS_TARBALL=/path/to/doxygen-awesome-css.tar.gz
+#         -DDOXYGEN_AWESOME_CSS_DIR=/path/to/doxygen-awesome-css
 #   cmake --build obj --target docs
 #
 # The tarball can be downloaded from:
@@ -13,22 +13,30 @@
 find_package(Doxygen)
 
 if (DOXYGEN_FOUND)
-    # Allow specifying a local tarball for doxygen-awesome-css (useful for packaging)
-    if (NOT DEFINED DOXYGEN_AWESOME_CSS_TARBALL)
-        set(DOXYGEN_AWESOME_CSS_TARBALL
-            "https://github.com/jothepro/doxygen-awesome-css/archive/refs/tags/v2.4.1.tar.gz")
+    set(DOXYGEN_AWESOME_CSS_PROJECT
+        "https://github.com/jothepro/doxygen-awesome-css")
+    set(DOXYGEN_AWESOME_CSS_VERSION "2.4.1")
+    set(DOXYGEN_AWESOME_CSS_URL
+        "${DOXYGEN_AWESOME_CSS_PROJECT}/archive/refs/tags/v${DOXYGEN_AWESOME_CSS_VERSION}.tar.gz")
+
+    # Allow specifying a local doxygen-awesome-css directory (useful for packaging)
+    if (NOT DEFINED DOXYGEN_AWESOME_CSS_DIR)
+        # Custom target to download doxygen-awesome-css at build time
+        add_custom_target(doxygen-awesome-css
+            COMMAND ${CMAKE_COMMAND}
+                -DURL=${DOXYGEN_AWESOME_CSS_URL}
+                -DDEST_DIR=${CMAKE_CURRENT_BINARY_DIR}
+                -DVERSION=${DOXYGEN_AWESOME_CSS_VERSION}
+                -P ${CMAKE_CURRENT_SOURCE_DIR}/fetch_doxygen_awesome.cmake
+            COMMENT "Fetching doxygen-awesome-css theme"
+        )
+
+        set(AWESOME_CSS_DIR
+            "${CMAKE_CURRENT_BINARY_DIR}/doxygen-awesome-css-${DOXYGEN_AWESOME_CSS_VERSION}")
+
+    else()
+        set(AWESOME_CSS_DIR "${DOXYGEN_AWESOME_CSS_DIR}")
     endif()
-
-    include(FetchContent)
-    FetchContent_Declare(
-        doxygen-awesome-css
-        URL ${DOXYGEN_AWESOME_CSS_TARBALL}
-        DOWNLOAD_EXTRACT_TIMESTAMP TRUE
-    )
-    FetchContent_MakeAvailable(doxygen-awesome-css)
-
-    # Get the path to doxygen-awesome.css
-    FetchContent_GetProperties(doxygen-awesome-css SOURCE_DIR AWESOME_CSS_DIR)
 
     # Project title shown in documentation
     set(DOXYGEN_PROJECT_NAME ${PROJECT_NAME})
@@ -89,13 +97,14 @@
                                  ${AWESOME_CSS_DIR}/doxygen-awesome-paragraph-link.js
                                  ${AWESOME_CSS_DIR}/doxygen-awesome-interactive-toc.js)
 
-    set(_doxyfile_template "${CMAKE_BINARY_DIR}/CMakeDoxyfile.in")
-    set(_target_doxyfile "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile.docs")
-    configure_file("${_doxyfile_template}" "${_target_doxyfile}")
-
     doxygen_add_docs(docs
                      ${cmocka-library_SOURCE_DIR}
                      ${cmocka-header_SOURCE_DIR}
                      ${cmocka-header_BINARY_DIR}
                      ${CMAKE_CURRENT_SOURCE_DIR})
+
+    # Make docs depend on doxygen-awesome-css download (if not using local dir)
+    if (TARGET doxygen-awesome-css)
+        add_dependencies(docs doxygen-awesome-css)
+    endif()
 endif(DOXYGEN_FOUND)

=== example/CMakeLists.txt ===
project(cmocka-examples C)

set_source_files_properties(assert_module.c
                            PROPERTIES
                                COMPILE_DEFINITIONS
                                    UNIT_TESTING=1)

### Calculator executable
add_executable(calculator calculator.c)
target_compile_options(calculator PRIVATE ${DEFAULT_C_COMPILE_FLAGS})
target_link_options(calculator PRIVATE ${DEFAULT_LINK_FLAGS})

### Calculator test
add_cmocka_test(calculator_test
                SOURCES calculator.c calculator_test.c
                COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS}
                LINK_OPTIONS ${DEFAULT_LINK_FLAGS}
                LINK_LIBRARIES cmocka::cmocka)
target_compile_definitions(calculator_test PRIVATE UNIT_TESTING=1)
add_cmocka_test_environment(calculator_test)

### The most simple test
add_cmocka_test(simple_test
                SOURCES simple_test.c
                COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS}
                LINK_OPTIONS ${DEFAULT_LINK_FLAGS}
                LINK_LIBRARIES cmocka::cmocka)
add_cmocka_test_environment(simple_test)

### Assert macro test
add_cmocka_test(assert_macro_test
                SOURCES assert_macro.c assert_macro_test.c
                COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS}
                LINK_OPTIONS ${DEFAULT_LINK_FLAGS}
                LINK_LIBRARIES cmocka::cmocka)
add_cmocka_test_environment(assert_macro_test)

set_tests_properties(assert_macro_test
                     PROPERTIES
                        WILL_FAIL 1)

### Assert module test
add_cmocka_test(assert_module_test
                SOURCES assert_module.c assert_module_test.c
                COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS}
                LINK_OPTIONS ${DEFAULT_LINK_FLAGS}
                LINK_LIBRARIES cmocka::cmocka)
add_cmocka_test_environment(assert_module_test)

set_tests_properties(assert_module_test
                     PROPERTIES
                        WILL_FAIL 1)

### Set parameter mock tests
add_cmocka_test(set_parameters_test
                SOURCES set_parameters.c
                COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS}
                LINK_OPTIONS ${DEFAULT_LINK_FLAGS}
                LINK_LIBRARIES cmocka::cmocka)
add_cmocka_test_environment(set_parameters_test)

### Errno mock tests
add_cmocka_test(set_errno_tests
                SOURCES set_errno.c
                COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS}
                LINK_OPTIONS ${DEFAULT_LINK_FLAGS}
                LINK_LIBRARIES cmocka::cmocka)
add_cmocka_test_environment(set_errno_tests)

### Output override test
add_cmocka_test(output_override_test
                SOURCES output_override_test.c
                COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS}
                LINK_OPTIONS ${DEFAULT_LINK_FLAGS}
                LINK_LIBRARIES cmocka::cmocka)
add_cmocka_test_environment(output_override_test)

set(output_override_test_output
"---- UNIT TEST OUTPUT ----\
[==========] tests: Running 4 test(s).\
[ RUN      ] true_test_succeeds\
\.*\
[==========] tests: 4 test(s) run.\
[  PASSED  ] 3 test(s).\
[  FAILED  ] tests: 1 test(s), listed below:\
[  FAILED  ] false_test_fails\
\
 1 FAILED TEST(S)\
\
---- UNIT TEST OUTPUT ----")

# Note that in this example we are demonstrating a failing test, so we expect
# the test to fail
set_tests_properties(output_override_test
                     PROPERTIES
                        WILL_FAIL 1
                        PASS_REGULAR_EXPRESSION ${output_override_test_output}
)

### Expect check data example
add_cmocka_test(expect_check_data_example
                SOURCES expect_check_data_example.c
                COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS}
                LINK_OPTIONS ${DEFAULT_LINK_FLAGS}
                LINK_LIBRARIES cmocka::cmocka)
add_cmocka_test_environment(expect_check_data_example)

### Expect check data advanced example
add_cmocka_test(expect_check_data_advanced
                SOURCES expect_check_data_advanced.c
                COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS}
                LINK_OPTIONS ${DEFAULT_LINK_FLAGS}
                LINK_LIBRARIES cmocka::cmocka)
add_cmocka_test_environment(expect_check_data_advanced)

if (NOT WIN32)
    add_subdirectory(mock)
endif()

=== include/CMakeLists.txt ===
project(cmocka-header C)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmocka_version.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/cmocka_version.h
               @ONLY)

install(FILES
            cmocka.h
            cmocka_pbc.h
            ${CMAKE_CURRENT_BINARY_DIR}/cmocka_version.h
        DESTINATION
            ${CMAKE_INSTALL_INCLUDEDIR}
        COMPONENT
            ${PROJECT_NAME})

=== src/CMakeLists.txt ===
project(cmocka-library C)

set(CMOCKA_PLATFORM_INCLUDE CACHE PATH "Path to include directory for cmocka_platform.h")
mark_as_advanced(CMOCKA_PLATFORM_INCLUDE)

set(CMOCKA_LINK_LIBRARIES
    ${CMOCKA_REQUIRED_LIBRARIES}
    CACHE INTERNAL "cmocka link libraries"
)

set(cmocka_SRCS
    cmocka.c
)

add_library(cmocka ${cmocka_SRCS})

target_include_directories(cmocka
                           PRIVATE
                               ${CMOCKA_PLATFORM_INCLUDE}
                               ${cmocka_BINARY_DIR}
                           PUBLIC
                               $<BUILD_INTERFACE:${cmocka-header_SOURCE_DIR}>
                               $<INSTALL_INTERFACE:include>)

target_compile_options(cmocka
                       PRIVATE
                           ${DEFAULT_C_COMPILE_FLAGS}
                           -DHAVE_CONFIG_H)

target_compile_definitions(cmocka
                           PRIVATE
                               _GNU_SOURCE
                               _XOPEN_SOURCE=700
                           PUBLIC
                               # hides a warning on Windows when using static lib
                               "$<$<NOT:$<BOOL:${BUILD_SHARED_LIBS}>>:CMOCKA_STATIC>"
                           )

if (CMOCKA_PLATFORM_INCLUDE)
    target_compile_options(cmocka
                           PRIVATE
                               -DCMOCKA_NO_STANDARD_INCLUDES
                               -DCMOCKA_PLATFORM_INCLUDE)
endif()

target_link_libraries(cmocka PRIVATE ${CMOCKA_LINK_LIBRARIES})
set_target_properties(cmocka PROPERTIES
                      DEFINE_SYMBOL         CMOCKA_EXPORTS
                      VERSION               ${LIBRARY_VERSION}
                      SOVERSION             ${LIBRARY_SOVERSION}
                      LINK_FLAGS            "${DEFAULT_LINK_FLAGS}"
                      C_STANDARD            99
                      C_STANDARD_REQUIRED   ON
                      # cmocka uses POSIX-2008 C extensions
                      C_EXTENSIONS          ON
                      # automatically export all global objects into DLL on Windows
                      WINDOWS_EXPORT_ALL_SYMBOLS ON
)

add_library(cmocka::cmocka ALIAS cmocka)

install(TARGETS cmocka
        EXPORT cmocka-targets
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        COMPONENT ${PROJECT_NAME})

install(EXPORT cmocka-targets
        NAMESPACE cmocka::
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/cmocka)

if (UNIT_TESTING)
    # Internal library
    add_library(cmocka-static STATIC ${cmocka_SRCS})

    target_include_directories(cmocka-static
                               PRIVATE
                                   ${CMOCKA_PLATFORM_INCLUDE}
                                   ${cmocka_BINARY_DIR}
                               PUBLIC
                                   ${cmocka-header_SOURCE_DIR})


    target_compile_options(cmocka-static
                           PRIVATE
                               ${DEFAULT_C_COMPILE_FLAGS}
                               -DHAVE_CONFIG_H)

    target_compile_definitions(cmocka-static
                               PRIVATE
                                   _GNU_SOURCE
                                   _XOPEN_SOURCE=700
                               PUBLIC
                                   CMOCKA_STATIC # hides a warning on Windows
                              )

    if (CMOCKA_PLATFORM_INCLUDE)
        target_compile_options(cmocka-static
                               PRIVATE
                                   -DCMOCKA_PLATFORM_INCLUDE)
    endif()

    target_link_libraries(cmocka-static PRIVATE ${CMOCKA_LINK_LIBRARIES})

    add_library(cmocka::static ALIAS cmocka-static)
endif()

=== tests/CMakeLists.txt ===
project(tests C)

set(TEST_EXCEPTION_HANDLER FALSE)
if (HAVE_SIGNAL_H)
    set(TEST_EXCEPTION_HANDLER TRUE)
endif()
if (WIN32)
    # FIXME: The exception handler doesn't work on Windows
    set(TEST_EXCEPTION_HANDLER FALSE)
endif()
if (CMAKE_BUILD_TYPE)
    string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_LOWER)
    if (CMAKE_BUILD_TYPE_LOWER STREQUAL "undefinedsanitizer")
        set(TEST_EXCEPTION_HANDLER FALSE)
    endif()
endif()

set(CMOCKA_TESTS
    test_alloc
    test_buffer
    test_expect_check
    test_expect_check_old_api
    test_expect_check_old_api_fail
    test_expect_check_new_api
    test_expect_check_new_api_fail
    test_expect_u_int_in_set
    test_expect_u_int_not_in_set
    test_expect_value
    test_expect_check_fail
    test_expect_in_range
    test_group_setup_assert
    test_group_setup_fail
    test_fixtures
    test_group_fixtures
    test_groups
    test_float_macros
    test_double_macros
    test_assert_double_float
    test_assert_double_float_fail
    test_assert_true
    test_assert_true_fail
    test_assert_false
    test_assert_false_fail
    test_assert_macros
    test_assert_macros_fail
    test_assert_memory
    test_assert_memory_fail
    test_assert_ptr
    test_assert_ptr_fail
    test_assert_ptr_msg
    test_assert_ptr_msg_fail
    test_assert_funcptr
    test_assert_u_int
    test_assert_u_int_fail
    test_assert_range
    test_assert_range_fail
    test_assert_set
    test_assert_set_fail
    test_basics
    test_has_mock
    test_log
    test_skip
    test_stop
    test_stop_fail
    test_strmatch
    test_strreplace
    test_setup_fail
    test_ordering
    test_ordering_fail
    test_returns
    test_returns_fail
    test_set_parameter
    test_set_parameter_fail
    test_set_errno
    test_set_errno_fail
    test_string
    test_wildcard
    test_skip_filter
    test_skip_filter_env
    test_mock_exit
    )

if (TEST_EXCEPTION_HANDLER)
    list(APPEND CMOCKA_TESTS test_exception_handler)
endif()

foreach(_CMOCKA_TEST ${CMOCKA_TESTS})
    add_cmocka_test(${_CMOCKA_TEST}
                    SOURCES ${_CMOCKA_TEST}.c
                    COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS} -D_GNU_SOURCE -D_XOPEN_SOURCE=700
                    LINK_LIBRARIES cmocka::static
                    LINK_OPTIONS ${DEFAULT_LINK_FLAGS})
    target_include_directories(${_CMOCKA_TEST} PRIVATE ${cmocka_BINARY_DIR})

    add_cmocka_test_environment(${_CMOCKA_TEST})
endforeach()

### Environment

# test_skip_filter_env
set_property(TEST test_skip_filter_env
    PROPERTY ENVIRONMENT "CMOCKA_TEST_FILTER=test_skip*;CMOCKA_SKIP_FILTER=test_skip2")

### Exceptions

# test_skip
set_tests_properties(
    test_skip
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  SKIPPED \\] test_check_skip"
)

# test_assert_true
set_tests_properties(
    test_assert_true
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  PASSED  \\] 1 test\\(s\\)."
)

# test_assert_true_fail
set_tests_properties(
    test_assert_true_fail
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "x != 10 is not true"
)

# test_assert_false
set_tests_properties(
    test_assert_false
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  PASSED  \\] 1 test\\(s\\)."
)

# test_assert_false_fail
set_tests_properties(
    test_assert_false_fail
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "x == 10 is not false"
)

# test_assert_macros_fail
set_tests_properties(
    test_assert_macros_fail
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] tests: 1 test"
)

# test_assert_macros_fail
set_tests_properties(
    test_assert_double_float_fail
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] float_tests_fail: 4 test"
)

set_tests_properties(
    test_assert_memory_fail
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] memory_tests: 1 test"
)

set_tests_properties(
    test_assert_ptr_fail
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] ptr_tests: 4 test"
)

set_tests_properties(
    test_assert_ptr_msg_fail
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] ptr_msg_tests: 4 test"
)

set_tests_properties(
    test_assert_u_int_fail
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] integer_tests: 4 test"
)

set_tests_properties(
    test_assert_range_fail
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] range_fail_tests: 12 test"
)

set_tests_properties(
    test_assert_set_fail
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] set_fail_tests: 7 test"
)

# test_expect_check_fail
set_tests_properties(
    test_expect_check_fail
    PROPERTIES
    PASS_REGULAR_EXPRESSION
    "\\[  FAILED  \\] tests: 3 test"
)

# test_expect_check_old_api_fail
set_tests_properties(
    test_expect_check_old_api_fail
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] tests: 5 test"
)

# test_expect_check_new_api_fail
set_tests_properties(
    test_expect_check_new_api_fail
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] tests: 8 test"
)


# stop_fail
set_tests_properties(
    test_stop_fail
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] tests: 3 test"
)

# test_ordering_fail ensure proper failures
set_tests_properties(
    test_ordering_fail
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] tests: 8 test"
        FAIL_REGULAR_EXPRESSION
        "Test failed with exception: (Segmentation fault|Segmentation Fault|11|Illegal instruction)"
)

# test_returns_fail ensure proper failures
set_tests_properties(
    test_returns_fail
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] will_return_mock_tests: 6 test"
)
# test_named_returns_fail ensure proper failures
set_tests_properties(
    test_set_parameter_fail
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] will_set_parameter_mock_tests: 6 test"
)
# test_set_errno_fail ensure proper failures
set_tests_properties(
    test_set_errno_fail
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] will_set_errno_tests: 3 test"
)
# test_exception_handler
if (TEST_EXCEPTION_HANDLER)
    set_tests_properties(test_exception_handler
                         PROPERTIES
                             PASS_REGULAR_EXPRESSION
                             "Test failed with exception")
endif (TEST_EXCEPTION_HANDLER)

# test_mock_exit - verify error message is printed when mock() called outside test
set_tests_properties(
    test_mock_exit
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "Could not get value to mock function"
)

set_tests_properties(
    test_setup_fail
        PROPERTIES
        WILL_FAIL
        1
)

set_tests_properties(
    test_group_setup_assert
        PROPERTIES
        WILL_FAIL
        1
)

set_tests_properties(
    test_group_setup_fail
        PROPERTIES
        WILL_FAIL
        1
)

add_test(NAME test_setup_fail_1_failed COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:test_setup_fail>)
add_cmocka_test_environment(test_setup_fail_1_failed)
set_tests_properties(
    test_setup_fail_1_failed
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  ERROR   \\] int_test_ignored"
)

add_test(NAME test_setup_fail_1_passed COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:test_setup_fail>)
add_cmocka_test_environment(test_setup_fail_1_passed)
set_tests_properties(
    test_setup_fail_1_passed
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  PASSED  \\] 1 test\\(s\\)."
)

add_test(NAME test_setup_fail_match_failed COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:test_setup_fail>)
add_cmocka_test_environment(test_setup_fail_match_failed)
set_tests_properties(
    test_setup_fail_match_failed
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  ERROR   \\] int_test_ignored"
)

add_test(NAME test_setup_fail_match_passed COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:test_setup_fail>)
add_cmocka_test_environment(test_setup_fail_match_passed)
set_tests_properties(
    test_setup_fail_match_passed
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[       OK \\] int_test_success"
)

### Output formats

# test output of success, failure, skip, fixture failure
set(OUTPUT_TESTS
    test_basics
    test_assert_macros_fail
    test_groups
    test_skip
    test_setup_fail)

set(TEST_OUTPUT_FMTS
    subunit
    xml)

set(test_basics_subunit_out
    "^test: null_test_success"
    "success: null_test_success")
set(test_assert_macros_fail_subunit_out
    "failure: test_assert_return_code_fail \\[")
set(test_groups_subunit_out
    "^test: null_test_success"
    "success: null_test_success")
set(test_skip_subunit_out
    "^test: test_check_skip"
    "skip: test_check_skip")
set(test_setup_fail_subunit_out
    "error: int_test_ignored \\[ Could not run test: Test setup failed \\]")

set(test_basics_xml_out
    "<testsuite name=\"tests\" time=\"[0-9.]+\" tests=\"2\" failures=\"0\" errors=\"0\" skipped=\"0\" >"
    "<testcase name=\"null_test_success\" time=\"[0-9.]+\" >.*</testcase>")
set(test_assert_macros_fail_xml_out
    "<testcase name=\"test_assert_return_code_fail\" time=\"[0-9.]+\" >"
    "<failure>")
set(test_groups_xml_out
    "^<\\?xml version=\"1.0\" encoding=\"UTF-8\" \\?>"
    "<testsuites>"
    "<testsuite name=\"test_group1\" time=\"[0-9.]+\" tests=\"1\" failures=\"0\" errors=\"0\" skipped=\"0\" >"
    "<testcase name=\"null_test_success\" time=\"[0-9.]+\" >"
    "</testcase>"
    "</testsuite>"
    ".*<testsuite name=\"test_group2 num=&lt[;]&apos[;]&quot[;]2&amp[;]2&apos[;]&quot[;]&gt[;]\" time=\"[0-9.]+\" tests=\"1\" failures=\"0\" errors=\"0\" skipped=\"0\" >"
    "<testcase name=\"int_test_success\" time=\"[0-9.]+\" >"
    "</testcase>"
    "</testsuite>"
    "</testsuites>")
set(test_skip_xml_out
    "<testcase name=\"test_check_skip\" time=\"[0-9.]+\" >"
    "<skipped/>")
set(test_setup_fail_xml_out
    "<testcase name=\"int_test_ignored\" time=\"[0-9.]+\" >"
    "<failure><!\\[CDATA\\[Test setup failed\\]\\]></failure>")

foreach(_TEST_OUTPUT_FMT ${TEST_OUTPUT_FMTS})
    foreach(_OUTPUT_TEST ${OUTPUT_TESTS})
        set(TEST_NAME ${_OUTPUT_TEST}_${_TEST_OUTPUT_FMT})
        add_test(NAME ${TEST_NAME} COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:${_OUTPUT_TEST}>)
        add_cmocka_test_environment(${TEST_NAME})

        set_property(
            TEST
            ${TEST_NAME}
            APPEND
            PROPERTY
                ENVIRONMENT CMOCKA_MESSAGE_OUTPUT=${_TEST_OUTPUT_FMT}
            )

        list(LENGTH ${TEST_NAME}_out len)
        list(GET ${TEST_NAME}_out 0 output)
        if(len GREATER 1)
            list(REMOVE_AT ${TEST_NAME}_out 0)
            foreach(line ${${TEST_NAME}_out})
                set(output "${output}[ \n\r]+${line}")
            endforeach()
        endif()

        set_tests_properties(
            ${TEST_NAME}
            PROPERTIES
            PASS_REGULAR_EXPRESSION
            ${output}
        )
    endforeach()
endforeach()

### Test mixed output formats
# Test that mixing multiple non-XML formats falls back to the first format
# Test that TAP+SUBUNIT becomes just SUBUNIT (lowest bit wins)
add_test(NAME test_basics_mixed_tap_subunit
         COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:test_basics>)
add_cmocka_test_environment(test_basics_mixed_tap_subunit)
set_property(TEST test_basics_mixed_tap_subunit
             APPEND PROPERTY ENVIRONMENT CMOCKA_MESSAGE_OUTPUT=TAP,SUBUNIT)
set_tests_properties(test_basics_mixed_tap_subunit
                     PROPERTIES PASS_REGULAR_EXPRESSION
                     "^test: ")

# Test that STANDARD+TAP becomes just STANDARD (first format wins)
add_test(NAME test_basics_mixed_standard_tap

=== debian/changelog ===
cmocka (2.0.2-1) unstable; urgency=medium

  [ Andreas Schneider ]
  * include: Fix typo in CMOCKA_DISABLE_DEPRECATION_WARNINGS
  * Bump version to 2.0.2

  [ David Prévot ]
  * Convert d/watch to version 5
  * Fix another typo in CMOCKA_DISABLE_DEPRECATION_WARNINGS

 -- David Prévot <taffit@debian.org>  Tue, 13 Jan 2026 08:50:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: cmocka
 Section: devel
-Priority: optional
 Maintainer: David Prévot <taffit@debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://cmocka.org/
 Vcs-Git: https://salsa.debian.org/debian/cmocka.git
 Vcs-Browser: https://salsa.debian.org/debian/cmocka

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	mkdir -p obj-$(DEB_HOST_MULTIARCH)/_deps
-	ln -s /usr/share/doxygen-awesome-css obj-$(DEB_HOST_MULTIARCH)/_deps/doxygen-awesome-css-src
-	dh_auto_configure -- -DUNIT_TESTING=ON
+	dh_auto_configure -- -DUNIT_TESTING=ON -DDOXYGEN_AWESOME_CSS_DIR=/usr/share/doxygen-awesome-css
 
 override_dh_auto_build-indep:
 	$(MAKE) -C obj-* docs

=== debian/watch ===
Version: 5

Source: https://cmocka.org/files/([\d.]+)/
Matching-Pattern: cmocka-(.*).tar.xz
Pgpsigurlmangle: s%$%.asc%
